# Get Started

### Introduction

The X-Cash API <https://api.xcash.foundation> allows users to read information from various X-Cash products using one standardized API. The current individual API can still be used, but it is recommended to migrate and use the standard API for various reasons.

* The individual API were built mostly for the websites, not as a standardized API for users.
* The standard API will use "standardized" API methods, resources, parameters, return field types etc
* The standard API will have more features than the individual API
* The standard API will use one domain instead of multiple
* The standard API is built with users in mind, using a specific backend processing and server setup for public APIs

Note: For the blockchain API it is not meant to be a complete set. You can get much more data using any remote daemon to get more info. This is meant to include the most common use cases and data.

### Getting Started

| What are you looking for?                         | Description                                                                         |
| ------------------------------------------------- | ----------------------------------------------------------------------------------- |
| **I want to submit an issue or feature request**  | Please view the [github repository](https://github.com/X-CASH-official/API)         |
| **I want to view the API for the blockchain**     | Please view the [documentation](https://docs.xcash.foundation/api/blockchain)       |
| **I want to view the API for DPOPS**              | Please view the [documentation](https://docs.xcash.foundation/api/dpops)            |
| **I want to view the API for Namespace Protocol** | Please view the [documentation](https://docs.xcash.foundation/api/namespace)        |
| **I want to view the API for X-Payment Twitter**  | Please view the [documentation](https://docs.xcash.foundation/api/xpayment-twitter) |
|                                                   |                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xcash.foundation/api/get-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
